#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 12. System Utilities

- Prev

  Power-profiles-daemon-0.30

- Next

  Rasqal-0.9.33

- Up
- Home

# Raptor-2.0.16

## Introduction to Raptor

Raptor is a C library that provides a set of parsers and serializers that generate Resource Description Framework (RDF) triples.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.librdf.org/source/raptor2-2.0.16.tar.gz

- Download MD5 sum: 0a71f13b6eaa0a04bf411083d89d7bc2

- Download size: 1.7 MB

- Estimated disk space required: 25 MB (additional 2 MB for the tests)

- Estimated build time: 0.1 SBU (additional 0.3 SBU for the tests)

### Raptor Dependencies

#### Required

cURL-8.12.1 and libxslt-1.1.42

#### Optional

GTK-Doc-1.34.0, ICU-76.1 and libyajl

## Installation of Raptor

First, fix an incompatibility with libxml2-2.11.x:

    sed -i 's/20627/20627 \&\& LIBXML_VERSION < 21100/' src/raptor_libxml.c

Install Raptor by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check. Several of the XML tests may fail.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-icu-config=/usr/bin/icu-config`: Use this switch if you have installed ICU-76.1 and wish to build Raptor with its support.

## Contents

Installed Programs: rapper
Installed Libraries: libraptor2.so
Installed Directories: /usr/include/raptor2 and /usr/share/gtk-doc/html/raptor2

### Short Descriptions

rapper | is a RDF parsing and serializing utility
`libraptor2.so` | contains the Raptor API functions

- Prev

  Power-profiles-daemon-0.30

- Next

  Rasqal-0.9.33

- Up
- Home